scoreboard players add elevator_timer stats 1

#effects
execute if score elevator_timer stats matches 1 run tellraw @a[tag=desert,scores={desert_button=1..},gamemode=!spectator,tag=coin] {"text":"The coin you found earlier seems to fit perfectly...","color":"yellow","italic":true}
execute if score elevator_timer stats matches 1 as @a[tag=desert,scores={desert_button=1..},gamemode=!spectator,tag=coin] at @s run playsound block.note_block.bell master @s ~ ~ ~ 100 1
execute if score elevator_timer stats matches 30 as @a[tag=desert,scores={desert_button=1..},gamemode=!spectator,tag=coin] at @s run playsound block.note_block.bell master @s ~ ~ ~ 100 1.1
execute if score elevator_timer stats matches 59 as @a[tag=desert,scores={desert_button=1..},gamemode=!spectator,tag=coin] at @s run playsound block.note_block.bell master @s ~ ~ ~ 100 1.2
execute if score elevator_timer stats matches 88 as @a[tag=desert,scores={desert_button=1..},gamemode=!spectator,tag=coin] at @s run playsound block.note_block.bell master @s ~ ~ ~ 100 1.3
execute if score elevator_timer stats matches 117 as @a[tag=desert,scores={desert_button=1..},gamemode=!spectator,tag=coin] at @s run playsound block.note_block.bell master @s ~ ~ ~ 100 1.4
execute if score elevator_timer stats matches 146 as @a[tag=desert,scores={desert_button=1..},gamemode=!spectator,tag=coin] at @s run playsound block.note_block.bell master @s ~ ~ ~ 100 1.5
execute if score elevator_timer stats matches 175 as @a[tag=desert,scores={desert_button=1..},gamemode=!spectator,tag=coin] at @s run playsound block.note_block.bell master @s ~ ~ ~ 100 1.6
execute if score elevator_timer stats matches 178 run tellraw @a[tag=desert,scores={desert_button=1..},gamemode=!spectator,tag=coin] {"text":"You picked up the coin again from the faulty elevator","color":"yellow","italic":true}

#advancement
execute if score elevator_timer stats matches 1 as @a[tag=desert,scores={desert_button=1..},gamemode=!spectator,tag=coin,advancements={sette:desert=false}] run function chop:cosmetics/unlock/desert

#remove oak oak_button
execute if score elevator_timer stats matches 1 run fill -115 96 -113 -115 96 -113 air destroy
#remove planks
execute if score elevator_timer stats matches 1 run fill -115 96 -112 -114 96 -112 air
execute if score elevator_timer stats matches 240 run fill -115 105 -112 -114 105 -112 air

#elevator animation
#summon
execute if score elevator_timer stats matches 1 unless entity @a[tag=d1] run summon minecraft:armor_stand -115 94.515 -112 {Tags:["d_el","d1"],NoGravity:1b,Invulnerable:1b,Invisible:1b,Passengers:[{id:"minecraft:shulker",NoAI:1b,Silent:1b,NoGravity:1b,Invulnerable:1b,ActiveEffects:[{Id:14,Amplifier:1,Duration:1000000,ShowParticles:0b}],Tags:["d_el"],DeathLootTable:"empty"},{id:"falling_block",NoGravity:1,Time:-1000000,DropItem:0,BlockState:{Name:"minecraft:dark_oak_planks"},Tags:["d_el"]}]}
execute if score elevator_timer stats matches 1 unless entity @a[tag=d2] run summon minecraft:armor_stand -114 94.515 -112 {Tags:["d_el","d2"],NoGravity:1b,Invulnerable:1b,Invisible:1b,Passengers:[{id:"minecraft:shulker",NoAI:1b,Silent:1b,NoGravity:1b,Invulnerable:1b,ActiveEffects:[{Id:14,Amplifier:1,Duration:1000000,ShowParticles:0b}],Tags:["d_el"],DeathLootTable:"empty"},{id:"falling_block",NoGravity:1,Time:-1000000,DropItem:0,BlockState:{Name:"minecraft:dark_oak_planks"},Tags:["d_el"]}]}
execute if score elevator_timer stats matches 1 unless entity @a[tag=d3] run summon minecraft:armor_stand -115 94.515 -111 {Tags:["d_el","d3"],NoGravity:1b,Invulnerable:1b,Invisible:1b,Passengers:[{id:"falling_block",NoGravity:1,Time:-1000000,DropItem:0,BlockState:{Name:"minecraft:dark_oak_fence",Properties:{north:"true"}},Tags:["d_el"]}]}
execute if score elevator_timer stats matches 1 unless entity @a[tag=d4] run summon minecraft:armor_stand -115 97 -112 {Tags:["d_el","d4"],NoGravity:1b,Invulnerable:1b,Invisible:1b}

#go up
execute if score elevator_timer stats matches 1..178 as @e[type=armor_stand,tag=d_el] at @s run teleport @s ~ ~0.05 ~

#levitation effects and player teleporting
execute if score elevator_timer stats matches 1..178 run effect give @a[tag=desert,scores={desert_button=1..},gamemode=!spectator] levitation 1 255 true
execute if score elevator_timer stats matches 1..178 as @e[type=armor_stand,tag=d4] at @s run teleport @a[tag=desert,scores={desert_button=1..},gamemode=!spectator,tag=coin] -115 ~ -112
execute if score elevator_timer stats matches 178 run effect clear @a[tag=desert,scores={desert_button=1..},gamemode=!spectator] levitation

#go down
execute if score elevator_timer stats matches 240..425 as @e[type=armor_stand,tag=d_el] at @s run teleport @s ~ ~-0.05 ~

execute if score elevator_timer stats matches 425 run teleport @e[tag=d_el] ~ ~-100 ~
execute if score elevator_timer stats matches 425 run kill @e[tag=d_el]

#place back oak_button
execute if score elevator_timer stats matches 425 run setblock -115 96 -113 oak_button[facing=east]
#place planks
execute if score elevator_timer stats matches 181 run fill -115 105 -112 -114 105 -112 dark_oak_planks
execute if score elevator_timer stats matches 425 run fill -115 96 -112 -114 96 -112 dark_oak_planks


#reset button score
execute if score elevator_timer stats matches 178 run scoreboard players reset @a desert_button
#reset other scores
execute if score elevator_timer stats matches 425 run scoreboard players set elevator stats 0
execute if score elevator_timer stats matches 425 run scoreboard players reset elevator_timer stats
