execute as @a[tag=registered] if entity @s[nbt=!{Inventory:[{Slot:30b}]}] run function chop:lobby/cosmetics/red
execute as @a[tag=registered] if entity @s[nbt=!{Inventory:[{Slot:14b}]}] run function chop:lobby/cosmetics/blue
execute as @a[tag=registered] if entity @s[nbt=!{Inventory:[{Slot:16b}]}] run function chop:lobby/cosmetics/green
execute as @a[tag=registered] if entity @s[nbt=!{Inventory:[{Slot:28b}]}] run function chop:lobby/cosmetics/purple
execute as @a[tag=registered] if entity @s[nbt=!{Inventory:[{Slot:12b}]}] run function chop:lobby/cosmetics/orange
execute as @a[tag=registered] if entity @s[nbt=!{Inventory:[{Slot:10b}]}] run function chop:lobby/cosmetics/white
execute as @a[tag=registered] if entity @s[nbt=!{Inventory:[{Slot:32b}]}] run function chop:lobby/cosmetics/gray
execute as @a[tag=registered] if entity @s[nbt=!{Inventory:[{Slot:34b}]}] run function chop:lobby/cosmetics/cyan

#kill concrete items
kill @e[type=item,nbt={Item:{id:"minecraft:red_concrete"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:white_concrete"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:cyan_concrete"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:orange_concrete"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:purple_concrete"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:light_gray_concrete"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:blue_concrete"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:lime_concrete"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:player_head"}}]
kill @e[type=item,nbt={Item:{id:"minecraft:amethyst_cluster"}}]


# Making cosmetics work

#heads
execute as @a at @s if score @s white_c matches 3 run item replace entity @s armor.head with minecraft:player_head{display:{Name:'{"text":"Honey Jar","bold":true,"italic":false,"color":"gold"}'},SkullOwner:{Id:[I;2061359882,1553943730,-2026977421,1376425424],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvYjkwNmJmZDgxN2NjNTgxOGM3NjIwZTI4OGY0ZTQxMzAxNDMxOGMwYmNiYjVlY2Q2ZGE4YTU5MjNkNTFjNTJmMiJ9fX0="}]}}} 1
execute as @a at @s if score @s gray_c matches 3 run item replace entity @s armor.head with minecraft:amethyst_cluster{display:{Name:'{"text":"Amethyst Crystal","bold":true,"italic":false,"color":"light_purple"}'}} 1
execute as @a at @s if score @s orange_c matches 3 run item replace entity @s armor.head with minecraft:player_head{display:{Name:'{"text":"Cactus","bold":true,"italic":false,"color":"dark_green"}'},SkullOwner:{Id:[I;1692673842,-392148015,-1937513225,1997515060],Properties:{textures:[{Value:"eyJ0ZXh0dXJlcyI6eyJTS0lOIjp7InVybCI6Imh0dHA6Ly90ZXh0dXJlcy5taW5lY3JhZnQubmV0L3RleHR1cmUvNDkxYWMzMTNkN2UwODZkNmNjOTRhODQzNWY2NDNmMTcxOWYxYjNiMzc4YjA0ZWIxYzQyNzJlNWMzNjZkMGZjMiJ9fX0="}]}}} 1

execute as @a at @s if score @s white_c matches 2 unless score @s gray_c matches 3 unless score @s orange_c matches 3 run clear @s player_head
execute as @a at @s if score @s gray_c matches 2 unless score @s white_c matches 3 unless score @s orange_c matches 3 run clear @s player_head
execute as @a at @s if score @s orange_c matches 2 unless score @s gray_c matches 3 unless score @s white_c matches 3 run clear @s player_head
execute as @a at @s if score @s white_c matches 2 unless score @s gray_c matches 3 unless score @s orange_c matches 3 run clear @s amethyst_cluster
execute as @a at @s if score @s gray_c matches 2 unless score @s white_c matches 3 unless score @s orange_c matches 3 run clear @s amethyst_cluster
execute as @a at @s if score @s orange_c matches 2 unless score @s gray_c matches 3 unless score @s white_c matches 3 run clear @s amethyst_cluster

#splash effects
execute as @a[gamemode=!spectator] at @s if score @s blue_c matches 3 if score @s cosmetic_jump matches 1.. unless block ~ ~-0.1 ~ air run particle splash ~ ~ ~ 0.15 0.15 0.15 1 100
execute as @a[gamemode=!spectator] at @s if score @s blue_c matches 3 if score @s cosmetic_sprint matches 1.. run particle splash ~ ~ ~ 0.10 0.10 0.10 1 5
execute as @a[gamemode=!spectator] at @s if score @s blue_c matches 3 if score @s cosmetic_walk matches 1.. run particle splash ~ ~ ~ 0.05 0.05 0.05 1 2

execute as @a[gamemode=!spectator] at @s if score @s red_c matches 3 if score @s cosmetic_jump matches 1.. unless block ~ ~-0.1 ~ air run particle lava ~ ~ ~ 0.15 0 0.15 0.05 10
execute as @a[gamemode=!spectator] at @s if score @s red_c matches 3 if score @s cosmetic_sprint matches 1.. run particle flame ~ ~0.1 ~ 0.10 0.10 0.10 0.01 5
execute as @a[gamemode=!spectator] at @s if score @s red_c matches 3 if score @s cosmetic_walk matches 1.. run particle flame ~ ~0.1 ~ 0.05 0.05 0.05 0.01 2

execute as @a[gamemode=!spectator] at @s if score @s cosmetic_jump matches 1.. unless block ~ ~-0.1 ~ air run scoreboard players reset @s cosmetic_jump
execute as @a[gamemode=!spectator] at @s if score @s cosmetic_walk matches 1.. run scoreboard players reset @s cosmetic_walk
execute as @a[gamemode=!spectator] at @s if score @s cosmetic_sprint matches 1.. run scoreboard players reset @s cosmetic_sprint

#cloud particles
scoreboard players add $cosmetic timer 1
execute if score $cosmetic timer matches 20.. run scoreboard players set $cosmetic timer 0
execute as @a[gamemode=!spectator] at @s if score @s cyan_c matches 3 if score $cosmetic timer matches 1 run particle cloud ~ ~3 ~ 0.3 0.3 0.3 0 25

#end particles
scoreboard players add $cosmetic2 timer 1
execute if score $cosmetic2 timer matches 80.. run scoreboard players set $cosmetic2 timer 1
execute as @a[gamemode=!spectator] at @s if score @s purple_c matches 3 if score $cosmetic2 timer matches 1 run summon armor_stand ~ ~-1 ~ {Small:1b,Invisible:1b,Invulnerable:1b,Tags:["portal_cosmetic","p_c1"],NoGravity:1b,Silent:1b}
execute as @a[gamemode=!spectator] at @s if score @s purple_c matches 3 if score $cosmetic2 timer matches 1 run summon armor_stand ~ ~-1 ~ {Small:1b,Invisible:1b,Invulnerable:1b,Tags:["portal_cosmetic","p_c2"],NoGravity:1b,Silent:1b}
execute if score $cosmetic2 timer matches 79 run kill @e[type=armor_stand,tag=portal_cosmetic]
execute as @a[gamemode=!spectator] at @s if score @s purple_c matches 3 if score $cosmetic2 timer matches 1 run tp @e[type=armor_stand,tag=p_c1,limit=1,sort=nearest] ~ ~-1 ~ 0 0
execute as @a[gamemode=!spectator] at @s if score @s purple_c matches 3 if score $cosmetic2 timer matches 1 run tp @e[type=armor_stand,tag=p_c2,limit=1,sort=nearest] ~ ~-1 ~ 180 0
execute as @e[type=armor_stand,tag=portal_cosmetic] at @s if score $cosmetic2 timer matches 1..79 run tp @s ~ ~0.04 ~ ~10 ~
execute as @e[type=armor_stand,tag=portal_cosmetic] at @s run particle portal ^ ^ ^1.25 0.02 0.02 0.02 0.01 5

#nature particles
scoreboard players add $cosmetic3 timer 1
execute if score $cosmetic3 timer matches 50.. run scoreboard players set $cosmetic3 timer 1
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 1 run particle happy_villager ~1 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 2 run particle happy_villager ~0.9 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 3 run particle happy_villager ~0.8 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 4 run particle happy_villager ~0.7 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 5 run particle happy_villager ~0.6 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 6 run particle happy_villager ~0.5 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 7 run particle happy_villager ~0.4 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 8 run particle happy_villager ~0.3 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 9 run particle happy_villager ~0.2 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 10 run particle happy_villager ~0.1 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 11 run particle happy_villager ~0 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 12 run particle happy_villager ~-0.1 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 13 run particle happy_villager ~-0.2 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 14 run particle happy_villager ~-0.3 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 15 run particle happy_villager ~-0.4 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 16 run particle happy_villager ~-0.5 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 17 run particle happy_villager ~-0.6 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 18 run particle happy_villager ~-0.7 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 19 run particle happy_villager ~-0.8 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 20 run particle happy_villager ~-0.9 ~0.8 ~1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 21 run particle happy_villager ~-1 ~0.8 ~1 0 0 0 0.1 3

execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 10 run particle happy_villager ~1 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 11 run particle happy_villager ~0.9 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 12 run particle happy_villager ~0.8 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 13 run particle happy_villager ~0.7 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 14 run particle happy_villager ~0.6 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 15 run particle happy_villager ~0.5 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 16 run particle happy_villager ~0.4 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 17 run particle happy_villager ~0.3 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 18 run particle happy_villager ~0.2 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 19 run particle happy_villager ~0.1 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 20 run particle happy_villager ~0 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 21 run particle happy_villager ~-0.1 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 22 run particle happy_villager ~-0.2 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 23 run particle happy_villager ~-0.3 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 24 run particle happy_villager ~-0.4 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 25 run particle happy_villager ~-0.5 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 26 run particle happy_villager ~-0.6 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 27 run particle happy_villager ~-0.7 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 28 run particle happy_villager ~-0.8 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 29 run particle happy_villager ~-0.9 ~0.2 ~-0.2 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 30 run particle happy_villager ~-1 ~0.2 ~-0.2 0 0 0 0.1 3

execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 26 run particle happy_villager ~0.5 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 27 run particle happy_villager ~0.4 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 28 run particle happy_villager ~0.3 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 29 run particle happy_villager ~0.2 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 30 run particle happy_villager ~0.1 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 31 run particle happy_villager ~0 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 32 run particle happy_villager ~-0.1 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 33 run particle happy_villager ~-0.2 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 34 run particle happy_villager ~-0.3 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 35 run particle happy_villager ~-0.4 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 36 run particle happy_villager ~-0.5 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 37 run particle happy_villager ~-0.6 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 38 run particle happy_villager ~-0.7 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 39 run particle happy_villager ~-0.8 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 40 run particle happy_villager ~-0.9 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 41 run particle happy_villager ~-1 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 42 run particle happy_villager ~-1.1 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 43 run particle happy_villager ~-1.2 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 44 run particle happy_villager ~-1.3 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 45 run particle happy_villager ~-1.4 ~1.5 ~-1 0 0 0 0.1 3
execute as @a[gamemode=!spectator] at @s if score @s green_c matches 3 if score $cosmetic3 timer matches 46 run particle happy_villager ~-1.5 ~1.5 ~-1 0 0 0 0.1 3
