# Misc
execute as @a run scoreboard players add total_playtime cc_stats 1
effect clear @a[nbt={OnGround:1b}] slow_falling
kill @e[type=ender_pearl]
effect give @e[type=villager] invisibility 100000 100 true
effect give @a saturation 1000000 100 true

# Player handling
execute if score inRace stats matches 0 as @a[tag=!registered] at @s run function chop:player_handling/join_lobby
execute if score inRace stats matches 0 as @a[scores={leave=1..}] at @s run function chop:player_handling/join_lobby
execute if score inRace stats matches 1 as @a[tag=!registered] at @s run function chop:player_handling/join_midrace
execute if score inRace stats matches 1 as @a[scores={leave=1..}] at @s run function chop:player_handling/join_midrace
execute as @a[gamemode=spectator,scores={yPos=..70}] at @s run tp @s ~ ~10 ~

# Throwable TNT
execute as @e[type=snowball,tag=!processed] at @s run function chop:misc/tnt/tnt
execute as @e[type=area_effect_cloud,name="tnt"] at @s run function chop:misc/tnt/as_tnt

# Falling in void
execute as @a at @s store result score @s yPos run data get entity @s Pos[1]

# Gamemodes
execute if score mode stats matches 0 run function chop:freeplay_loop
execute if score mode stats matches 1 run function chop:race_loop
execute unless entity @a[tag=race] run scoreboard players reset * endRace
#Credits
execute as @a at @s if score @s credits matches 1.. run scoreboard players remove @s credits 1

# Fixing broken maps
fill -33 96 -4 -33 96 -4 minecraft:turtle_egg[eggs=3] replace turtle_egg[eggs=2]
fill -31 96 0 -31 96 0 minecraft:turtle_egg[eggs=2] replace turtle_egg[eggs=1]

# Clicking villager
execute as @a[scores={click=1..}] at @s run function chop:lobby/click_villager

# Courses
function chop:courses/ocean/loop

function chop:courses/end/loop

function chop:courses/nether/loop

function chop:courses/sky/loop

function chop:courses/honey/loop

function chop:courses/desert/loop

function chop:courses/mountain/loop

function chop:courses/flower/loop

# Checkpoint System
function chop:courses/checkpoint

# Cosmetics
function chop:lobby/cosmetics/loop

# Secret
function chop:secret/loop

# True Runner advancement
execute as @a[tag=1,tag=2,tag=3,tag=4,tag=5,tag=6,tag=7,tag=8,tag=!all_levels] run function chop:cosmetics/unlock/all

# Information

function chop:lobby/options/information

# endRace cooldown timer
execute if score $endRace timer matches 1.. run scoreboard players remove $endRace timer 1

#spectators
execute as @a[gamemode=spectator] at @s if score @s yPos matches ..95 run teleport @s ~ ~2 ~

#finish line
execute as @a[gamemode=!spectator,x=-2,y=94,z=-224,dx=4,dy=1,dz=3,tag=freeplay] at @s run tag @s add finish_line
execute as @a[gamemode=!spectator,x=-2,y=94,z=-224,dx=4,dy=1,dz=3,tag=race] at @s run tag @s add finish_line

execute as @a[gamemode=!spectator,x=159,y=94,z=-159,dx=-3,dy=1,dz=3,tag=freeplay] at @s run tag @s add finish_line
execute as @a[gamemode=!spectator,x=159,y=94,z=-159,dx=-3,dy=1,dz=3,tag=race] at @s run tag @s add finish_line

execute as @a[gamemode=!spectator,x=224,y=94,z=-2,dx=-3,dy=1,dz=4,tag=freeplay] at @s run tag @s add finish_line
execute as @a[gamemode=!spectator,x=224,y=94,z=-2,dx=-3,dy=1,dz=4,tag=race] at @s run tag @s add finish_line

execute as @a[gamemode=!spectator,x=159,y=94,z=159,dx=-3,dy=1,dz=-3,tag=freeplay] at @s run tag @s add finish_line
execute as @a[gamemode=!spectator,x=159,y=94,z=159,dx=-3,dy=1,dz=-3,tag=race] at @s run tag @s add finish_line

execute as @a[gamemode=!spectator,x=2,y=94,z=224,dx=-3,dy=1,dz=-4,tag=freeplay] at @s run tag @s add finish_line
execute as @a[gamemode=!spectator,x=2,y=94,z=224,dx=-3,dy=1,dz=-4,tag=race] at @s run tag @s add finish_line

execute as @a[gamemode=!spectator,x=-159,y=94,z=-159,dx=3,dy=1,dz=-3,tag=freeplay] at @s run tag @s add finish_line
execute as @a[gamemode=!spectator,x=-159,y=94,z=-159,dx=3,dy=1,dz=-3,tag=race] at @s run tag @s add finish_line

execute as @a[gamemode=!spectator,x=-159,y=94,z=159,dx=3,dy=1,dz=-3,tag=freeplay] at @s run tag @s add finish_line
execute as @a[gamemode=!spectator,x=-159,y=94,z=159,dx=3,dy=1,dz=-3,tag=race] at @s run tag @s add finish_line

execute as @a[gamemode=!spectator,x=-224,y=94,z=-2,dx=3,dy=1,dz=4,tag=freeplay] at @s run tag @s add finish_line
execute as @a[gamemode=!spectator,x=-224,y=94,z=-2,dx=3,dy=1,dz=4,tag=race] at @s run tag @s add finish_line

execute as @a[gamemode=!spectator,x=-159,y=94,z=-159,dx=3,dy=1,dz=3,tag=freeplay] at @s run tag @s add finish_line
execute as @a[gamemode=!spectator,x=-159,y=94,z=-159,dx=3,dy=1,dz=3,tag=race] at @s run tag @s add finish_line


